org.apache.maven.scm.provider.cvslib.cvsexe.command.tag

## Class CvsExeTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.cvslib.command.tag.AbstractCvsTagCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.tag.CvsExeTagCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsExeTagCommand
    extends AbstractCvsTagCommand

Version:
  $Id: CvsExeTagCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsExeTagCommand()`

### Method Summary

Methods
`protected TagScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.tag.AbstractCvsTagCommand

`executeTagCommand, executeTagCommand`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeTagCommand

    public CvsExeTagCommand()

### Method Detail

#### executeCvsCommand

    protected TagScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                      throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsTagCommand`
Throws:
  `ScmException`